Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
MultipleKeyDatabaseEntry Constructor (IEnumerable<(Of <(KeyValuePair<(Of <(DatabaseEntry, DatabaseEntry>)>)>)>), Boolean)
MultipleKeyDatabaseEntry Class See Also Send Feedback

Construct a new bulk buffer for key/data pairs.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public MultipleKeyDatabaseEntry(
    	IEnumerable<KeyValuePair<DatabaseEntry, DatabaseEntry>> data,
    	bool recno
    )

Visual Basic (Declaration)
    Public Sub New ( _
    	data As IEnumerable(Of KeyValuePair(Of DatabaseEntry, DatabaseEntry)), _
    	recno As Boolean _
    )

Visual C++
    public:
    MultipleKeyDatabaseEntry(
    	IEnumerable<KeyValuePair<DatabaseEntry^, DatabaseEntry^>>^ data,
    	bool recno
    )

#### Parameters

data
  Type: System.Collections.Generic..::.IEnumerable<(Of <(KeyValuePair<(Of <(DatabaseEntry, DatabaseEntry>)>)>)>)
  Enumerable key/data pairs

recno
  Type: System..::.Boolean
  Whether the bulk buffer is for queue/recno database

# See Also

MultipleKeyDatabaseEntry Class
MultipleKeyDatabaseEntry Overload
BerkeleyDB Namespace